stack-1.3.2: The Haskell Tool Stack

Safe Haskell | Safe
Language | Haskell2010

Stack.Options.Utils

Synopsis

- hideMods :: Bool -> Mod f a
- data GlobalOptsContext
  - = OuterGlobalOpts
  - | OtherCmdGlobalOpts
  - | BuildCmdGlobalOpts
  - | GhciCmdGlobalOpts

# Documentation

hideMods :: Bool -> Mod f a #

If argument is True, hides the option from usage and help

data GlobalOptsContext #

Allows adjust global options depending on their context Note: This was being used to remove ambibuity between the local and global implementation of stack init --resolver option. Now that stack init has no local --resolver this is not being used anymore but the code is kept for any similar future use cases.

Constructors

OuterGlobalOpts | Global options before subcommand name
OtherCmdGlobalOpts | Global options following any other subcommand
BuildCmdGlobalOpts |
GhciCmdGlobalOpts |

Instances

Eq GlobalOptsContext # |
Methods (==) :: GlobalOptsContext -> GlobalOptsContext -> Bool # (/=) :: GlobalOptsContext -> GlobalOptsContext -> Bool #
Show GlobalOptsContext # |
Methods showsPrec :: Int -> GlobalOptsContext -> ShowS # show :: GlobalOptsContext -> String # showList :: [GlobalOptsContext] -> ShowS #